function init(hero) {
    hero.setName("Mario/SSBHP");
    hero.setVersion("Exclusive Super Mushroom Mario");
    hero.setTier(2);
    hero.hide();

    
    hero.setHelmet("item.superhero_armor.piece.head");
    hero.setChestplate("Overalls");
    hero.setLeggings("item.superhero_armor.piece.legs");
    hero.setBoots("Shoes");
    
    hero.addAbilities("fiskheroes:pyrokinesis", "fiskheroes:size_manipulation");
    hero.addAttribute("ATTACK_DAMAGE", 0.1, 1);
    hero.addAttribute("PUNCH_DAMAGE", 3.0, 0);

    hero.addKeyBind("GROW", "Grow", 1);
    hero.addKeyBind("SHRINK", "Shrink", 2);

    hero.setDefaultScale(0.94);
	
    hero.setHasProperty(hasProperty);
    hero.supplyFunction("getMinSize", 1.0);
    hero.supplyFunction("getMaxSize", 2.0);
    hero.supplyFunction("isInstant", true);
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty();
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}